MySQL version poll: a not so scientific analysis

MySQL version poll: a not so scientific analysis

Prior to my talk at LaraconEU 2016 I was curious to know how much adoption for MySQL 5.7 was in within the community.

I tweeted this:

Twitter polls only gives you up to 4 items to choose. What I wanted to know is if people were using MariaDB or other forks like Percona, but I didn’t had the proper space, and I  only put three options.

This January I managed to get a bit more syndication on my tweet and more people replied. I added a 4th option, “Other”. This option could include the fork data as well as people using even the MySQL 4:

Analysis results

This have no scientific foundation whatsoever. Most of the people on my twitter bubble work on tech and try to be using cutting edge technology, but I could see a bit of a trend (taking into the consideration also the amount of people that now replied).

August 2016 January 2017

It is possible to notice that 5.7 got more market where 5.5 was the most common version to those people. I would like to think they upgraded first to 5.6 to then upgrade to 5.7 and not just jumped versions disabling and doing this to make it work:

SET @@GLOBAL.sql_mode = '';

Again, this is the equivalent of disabling errors in any language because you are not gonna fix them, just want swipe under the carpet. Don’t do that.

It is nice to see that 5.5 is losing ground (again, a pinch of salt here) to newer and modern versions.

What should I not consider?

Well, you can actually ignore the whole poll as a trend indicator. The first one ran only for a day and it got 85 votes with not all options on it, and the second one had 669 votes and it was a week long poll. Plus the fact there is no way to do a control group to calculate the error margin.

What does this really mean?

MySQL 5.7 was released with General Availability around October 2015, major hosting  and cloud companies started to make it available on February/March 2016. Adoption always take a bit of a time to be absorbed, specially if you have to do any code change to support the new version of the database (hint, you probably will have to). It also means that those companies may at any point stop providing support for versions older than 5.6 (5.5, 5.1, etc.).

Also take into consideration that MySQL 8.0 is under development and most of the strictness embedded by default on 5.7 will continue to come on 8.0. So if you are reading this blogpost and starting a new project, go ahead and start with 5.7 already so when version 8.0 comes out you won’t have trouble upgrading.

If you have a legacy application then, there are ways of adapting your code so you can enjoy everything the new version has to offer. Just a final reminder, disabling strictness on the server to be able to use the JSON feature may sound as a smart idea in the beginning, but that also means putting your data consistency at risk.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s